Mittwoch, 21. Januar 2009

jQuery Upgrade von 1.1 auf 1.3 – Zwei wichtige Änderungen

Wer noch mit einer etwas älteren jQuery Version arbeitet (in meinem Fall ist es die Version 1.1 aus dem Jahr 2007), der muss beim Upgrade auf die aktuelle Version 1.3 etwas aufpassen. Folgende zwei Änderungen sind mir aufgefallen:

  • Attribute im Selektor werden jetzt nicht mehr mit @ geschrieben, also aus $(“div[@attr=hans]”) wird $(“div[attr=hans]”).
  • Ein untergeordnetes Element konnte man früher mit einem Slash angeben: $(“div/b”), also alle B-Tags, die direkt unter einem DIV-Tag liegen. In der aktuellen Version schreibt man dafür dann $(“div > b”), das übrigens auch schon früher so ging.

Es gibt bestimmt noch mehr Inkompatibilitäten, aber das sind die, die mir bei allen Projekten aufgefallen sind. Wer schon mit der Version 1.2 arbeitet, ist bereits aus dem Schneider.

Keine Kommentare:

Kommentar veröffentlichen